RK-J - Bug #2602

Null pointer exception occurred while parsing
09/07/2022 02:01 PM - Venmubhilan B

Status: Closed Start date: 09/07/2022
Priority: Urgent Due date: 09/08/2022
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Library reference DT - https:/drive.google.com/drive/folders/1hpzCkbg6LNBOXHZgDyOUSpb5jb_tJo8x

Null pointer exception occurred while parsing the 21.txt

History

#1 - 09/07/2022 02:03 PM - Venmuhilan B

- Status changed from New to In Progress

Reason

Exception occurred while parsing the 21.txt during resume Ingestion

In the 21.1xt file, the first document has section name and I-url but not any other fields(usually this is used for heading and it will not have rank).
During the resume, the previous document’s rank is not present in the documentMarkers and the current document doesn't have the rank. When
accessing the rank it causes the null pointer exception

#2 - 09/07/2022 02:04 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100
Fix
Added a check for all the logs statements that is accessing the rank( i.e documentMarkers.get(rank).getData())

#3 - 09/08/2022 04:53 AM - Ayush Khandelwal
- Due date set to 09/08/2022
- Priority changed from Normal to Urgent

- Estimated time set to 2.00 h

#4 - 09/12/2022 09:14 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#5 - 09/13/2022 06:45 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected on QA
